import { ReactNode } from 'react';
interface PageNavSideBarState {
    isOpen: boolean;
    setState: (state: Partial<PageNavSideBarState>) => void;
}
export declare const PageNavSideBarContext: import("react").Context<PageNavSideBarState>;
export declare function usePageNavSideBar(): PageNavSideBarState;
export declare function PageNavSideBarProvider(props: {
    children: ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function usePageNavBarClick(): (path: string) => void;
export {};
